diff -r -u src/xfce-3.8.7.orig/xfsound/xfplay src/xfce-3.8.7/xfsound/xfplay
--- src/xfce-3.8.7.orig/xfsound/xfplay	Thu Jul 12 16:45:22 2001
+++ src/xfce-3.8.7/xfsound/xfplay	Mon Aug 27 20:07:39 2001
@@ -5,4 +5,13 @@
 # exec sox "$1" -t ossdsp /dev/dsp
 # Use "play" that ships with sox to play the file since it can deal
 # with different hardware types....
-exec play "$1"
+# exec play "$1"
+
+# The following line will allow sounds to be played 
+# under AIX (with UMS). If the target system is
+# not AIX, uncomment the above 'exec play "$1"' line
+# and comment out the line below.
+if (test -x `which run_ums`)
+   then
+   exec run_ums audio_play -f "$1" 2>/dev/null
+fi
diff -r -u src/xfce-3.8.7.orig/xfmenu/xfmenu.c src/xfce-3.8.7/xfmenu/xfmenu.c
--- src/xfce-3.8.7.orig/xfmenu/xfmenu.c Fri Aug 10 14:28:09 2001
+++ src/xfce-3.8.7/xfmenu/xfmenu.c      Wed Sep  5 17:06:49 2001
@@ -260,6 +260,11 @@
       menupath = g_strconcat ("/opt/kde2", KMENUPATH, NULL);
       kdedirs = g_list_append (kdedirs, menupath);
     }
+    if (!(kdedir) || (strcmp ("/opt/freeware", kdedir) != 0))
+    {
+      menupath = g_strconcat ("/opt/freeware", KMENUPATH, NULL);
+      kdedirs = g_list_append (kdedirs, menupath);
+    }
     if (home)
     {
       menupath = g_strconcat (home, "/.kde/applnk", NULL);
@@ -294,6 +299,11 @@
     if (!(gnomedir) || (strcmp ("/opt/gnome", gnomedir) != 0))
     {
       menupath = g_strconcat ("/opt/gnome", GMENUPATH, NULL);
+      gnomedirs = g_list_append (gnomedirs, menupath);
+    }
+    if (!(gnomedir) || (strcmp ("/opt/freeware", gnomedir) != 0))
+    {
+      menupath = g_strconcat ("/opt/freeware", GMENUPATH, NULL);
       gnomedirs = g_list_append (gnomedirs, menupath);
     }
     if (home)
